Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.soap
Class SoapConstants

    java.lang.Object
      org.codehaus.xfire.soap.SoapConstants

    public class SoapConstants

extends java.lang.Object

SOAP constants from the specs.

Since:
  Feb 18, 2004
Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `MEP_IN`
`static java.lang.String` | `MEP_ROBUST_IN_OUT`
`static java.lang.String` | `STYLE_DOCUMENT` Constant used to specify a document binding style.
`static java.lang.String` | `STYLE_MESSAGE` Constant used to specify a message binding style.
`static java.lang.String` | `STYLE_RPC` Constant used to specify a rpc binding style.
`static java.lang.String` | `STYLE_WRAPPED` Constant used to specify a wrapped binding style.
`static java.lang.String` | `USE_ENCODED` Constant used to specify a encoded binding use.
`static java.lang.String` | `USE_LITERAL` Constant used to specify a literal binding use.
`static java.lang.String` | `XSD` XML Schema Namespace.
`static java.lang.String` | `XSD_PREFIX`
`static java.lang.String` | `XSI_NS`

Constructor Summary
`SoapConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STYLE_RPC

    public static final java.lang.String STYLE_RPC

  Constant used to specify a rpc binding style.

  See Also:
    Constant Field Values

### STYLE_DOCUMENT

    public static final java.lang.String STYLE_DOCUMENT

  Constant used to specify a document binding style.

  See Also:
    Constant Field Values

### STYLE_WRAPPED

    public static final java.lang.String STYLE_WRAPPED

  Constant used to specify a wrapped binding style.

  See Also:
    Constant Field Values

### STYLE_MESSAGE

    public static final java.lang.String STYLE_MESSAGE

  Constant used to specify a message binding style.

  See Also:
    Constant Field Values

### USE_LITERAL

    public static final java.lang.String USE_LITERAL

  Constant used to specify a literal binding use.

  See Also:
    Constant Field Values

### USE_ENCODED

    public static final java.lang.String USE_ENCODED

  Constant used to specify a encoded binding use.

  See Also:
    Constant Field Values

### XSD

    public static final java.lang.String XSD

  XML Schema Namespace.

  See Also:
    Constant Field Values

### XSD_PREFIX

    public static final java.lang.String XSD_PREFIX

See Also:
  Constant Field Values

### XSI_NS

    public static final java.lang.String XSI_NS

See Also:
  Constant Field Values

### MEP_ROBUST_IN_OUT

    public static final java.lang.String MEP_ROBUST_IN_OUT

See Also:
  Constant Field Values

### MEP_IN

    public static final java.lang.String MEP_IN

See Also:
  Constant Field Values

Constructor Detail

### SoapConstants

    public SoapConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.